<?php
    # Hide Adminbar    
    show_admin_bar(false);

   	# URL Template
    function theme_url() {
        echo get_template_directory_uri();
    }

    # URL Blog
    function blog_url() {
        echo bloginfo('url');
    }

    # Enqueue Frontend Styles
    add_action( 'wp_enqueue_scripts', 'load_css_frames' );

    function load_css_frames() {
        wp_enqueue_style('normalize',"https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css", array(), '', 'all');
        //Foundation CSS
        wp_enqueue_style('framework_css',get_template_directory_uri() . "/assets/styles/css/foundation.min.css", array(), '', 'all');
        //WP Blog Editor
        wp_enqueue_style('wp-editor',get_template_directory_uri() . "/assets/styles/css/wp-editor.css", array(), '', 'all');
        //Swiper
        wp_enqueue_style('swiper-css', get_template_directory_uri() . "/assets/styles/css/swiper.css", array(), '', 'all');
        //Timeline css
        wp_enqueue_style('timeline-css', get_template_directory_uri() . "/assets/styles/css/timeline.css", array(), '', 'all');
        //Timeline css
        wp_enqueue_style('slick-css', get_template_directory_uri() . "/assets/styles/css/slick.css", array(), '', 'all');
        //Timeline css
        wp_enqueue_style('slicktheme-css', get_template_directory_uri() . "/assets/styles/css/slick-theme.css", array(), '', 'all');
        //Timeline css
        wp_enqueue_style('slicklightbox-css', get_template_directory_uri() . "/assets/styles/css/slick-lightbox.css", array(), '', 'all');
        //Style Theme
        wp_enqueue_style('style',get_template_directory_uri() . "/assets/styles/css/main.css", array(), '', 'all');
        
    }

    # Enqueue Frontend Styles
    add_action( 'wp_enqueue_scripts', 'load_scripts_frames' );

    function load_scripts_frames() {
        wp_enqueue_script('modernizr', 'https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js', array(), '', 'all' );
        //Jquery
        wp_enqueue_script('jquery', get_template_directory_uri() . '/assets/js/jquery.min.js', array(), '', 'all' );
        //What Input
        wp_enqueue_script('What-input', get_template_directory_uri() . '/assets/js/what-input.js', array(), '', 'all' );
        //Foundation JS
        wp_enqueue_script('Framework', get_template_directory_uri() . '/assets/js/foundation.min.js', array(), '', 'all' );
        //Fontawesome
        wp_enqueue_script('fontawesome', get_template_directory_uri() . '/assets/js/fontawesome-all.min.js', '', 'all');
        //swiper
        wp_enqueue_script('swiper-js', get_template_directory_uri() . '/assets/js/swiper.js', array(), '', 'all' );
        //timeline
        wp_enqueue_script('timeline-js', get_template_directory_uri() . '/assets/js/timeline.js', array(), '', 'all' );
        //timeline
        wp_enqueue_script('browser-js', get_template_directory_uri() . '/assets/js/jq-browser.js', array(), '', 'all' );
        //timeline
        wp_enqueue_script('slick-min-js', get_template_directory_uri() . '/assets/js/slick.min.js', array(), '', 'all' );
        //timeline
        wp_enqueue_script('slick-lightbox-js', get_template_directory_uri() . '/assets/js/slick-lightbox.js', array(), '', 'all' );
        //timeline
        wp_enqueue_script('paroller', get_template_directory_uri() . '/assets/js/jquery.paroller.min.js', array(), '', 'all' );
        //Sript Theme
        wp_enqueue_script('script',get_template_directory_uri() . "/assets/js/main.js", array(), '', 'all');
                
    }	

    # Remove WP Version   
    add_filter('the_generator', 'wpbeginner_remove_version');

    function wpbeginner_remove_version() {
        return '';
    }

    # Register Menu
	add_action('init','register_menus');

	function register_menus() {
        register_nav_menus( array(
            'main-menu' => __('Menu Principal', 'Chaparro'),
        ));
    }

    # Add Thumbnails Support
    add_theme_support( 'post-thumbnails'); 

    
    # Protect WordPress Against Malicious URL Requests Plugin
    include_once( get_stylesheet_directory() . '/assets/inc/security.php' );

    # Remove Welcome Widget from the Dashboard
    add_action('wp_dashboard_setup', 'remove_dashboard_widgets' );

    function remove_dashboard_widgets() {
		remove_meta_box( 'dashboard_quick_press', 'dashboard', 'side' );
		remove_meta_box( 'dashboard_incoming_links', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_right_now', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_activity', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_plugins', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_recent_drafts', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_recent_comments', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_primary', 'dashboard', 'side' );
		remove_meta_box( 'dashboard_secondary', 'dashboard', 'side' );
	}

	remove_action( 'welcome_panel', 'wp_welcome_panel' );

    # Reorder admin menu
    add_filter('custom_menu_order', 'custom_menu_order');
    add_filter('menu_order', 'custom_menu_order');
    
    function custom_menu_order($menu_ord) {
        if (!$menu_ord) return true;
        return array(
            'index.php', // Dashboard
            'separator1', // First separator
            'edit.php', // Posts / Entradas
            // 'edit.php?post_type=lo_que_necesitas', //
            'separator2', // Second separator
            'edit.php?post_type=page', // Páginas
            'separator-last', // Last separator
        );
    }

    # Theme Widgets	
	add_action('widgets_init', 'puedesdecirno_widgets_init');

	function puedesdecirno_widgets_init()
	{
		register_sidebar( array (
			'name' => __( 'Sidebar Widget Area', 'puedesdecirno' ),
			'id' => 'primary-widget-area',
			'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
			'after_widget' => "</li>",
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>',
		) );
    }
    
    #SMK
    include 'assets/inc/smk.php';

#-------------------------------------------------------------------------------------------------------------------------#
#-----------------------------------     FUNCIONES CUSTOM BY CANALLA TI    -----------------------------------------------#
#-------------------------------------------------------------------------------------------------------------------------#

	/**
	*	vince_check_active_menu()
	*
	*	Te indica en que pagina estas y agrega una clase llamada "is-active".
	*
	* @author David Lopes Diaz
	* @version 1.0
	* @category Menu
	* @return string 'is-active'
	* @date 25-09-2018
	*/
    function vince_check_active_menu( $menu_item ) {
        $actual_link = ( isset( $_SERVER['HTTPS'] ) ? "https" : "http" ) . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        if ( $actual_link == $menu_item->url ) {
            return 'is-active';
        }
        return '';
    }

	/**
	*	the_slug()
	*
	*	Regresa el slug de la pagina en la que estas.
	*
	* @author Edgar Olivas Guzmán
	* @version 1.0
	* @category Tags, Posts
	* @return string $slug
	* @date 25-09-2018
	*/
    function the_slug($echo=true){
      	$slug = basename(get_permalink());
      	do_action('before_slug', $slug);
      	$slug = apply_filters('slug_filter', $slug);
      	if( $echo ) echo $slug;
      		do_action('after_slug', $slug);
      return $slug;
    }

	/**
	*	get_excerpt_custom()
	*
	*	Obtiene el except del post con un numero de caracteres limitados.
	*
	* @author Edgar Olivas Guzmán
	* @version 1.0
	* @category Tags, Posts
	* @return string $excerpt
	* @date 25-09-2018
	*/
    function get_excerpt_custom(){
        $excerpt = get_the_content();
        $excerpt = preg_replace(" ([.*?])",'',$excerpt);
        $excerpt = strip_shortcodes($excerpt);
        $excerpt = strip_tags($excerpt);
        $excerpt = substr($excerpt, 0, 50);
        $excerpt = substr($excerpt, 0, strripos($excerpt, " "));
        $excerpt = trim(preg_replace( '/s+/', ' ', $excerpt));
        return $excerpt;
    }

?>