<?php
/*
  Template Name: Chaparro - Terminos y Condiciones
  Template Post Type: page
*/
?>
<!DOCTYPE html>
<html <?php language_attributes();?>>

<head>
    <meta charset="<?php bloginfo('charset')?>">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- OPENGRAPH -->
    <meta name="og:title" property="og:title" content="CHAPARRO SALAZAR | OFFICIAL">
    <meta name="og:site_name" property="og:site_name" content="PROGREDI">
    <meta name="og:url" property="og:url" content="http://progredihcc.com/">
    <meta name="og:description" property="og:description" content="">
    <meta name="og:type" property="og:type" content="website">
    <!-- FACEBOOK -->
    <meta name="og:image" property="og:image" content="https://canalla.agency/pr/progredi/opengraph/large.png">
    <meta name="og:image:width" property="og:image:width" content="1200" />
    <meta name="og:image:height" property="og:image:height" content="630" />
    <!-- WHATSAPP -->
    <meta name="og:image" property="og:image" content="https://canalla.agency/pr/progredi/opengraph/small.png">
    <meta name="og:image:width" property="og:image:width" content="630" />
    <meta name="og:image:height" property="og:image:height" content="630" />
    <!-- OPENGRAPH -->

    <!-- BASIC OG -->
    <meta name="keywords"
        content="" />
    <meta name="description"
        content="" />
    <meta name="copyright" content="Progredi">
    <meta name="language" content="EN">
    <meta name="robots" content="index,follow" />
    <meta name="author" content="Canalla Agency | Edgar Olivas | Pamela Perez | Aldair Reyes">
    <meta name="url" content="http://progredihcc.com/">
    <meta name="identifier-URL" content="http://progredihcc.com/">
    <meta name="revisit-after" content="1 days">
    <meta http-equiv="Expires" content="0">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Cache-Control" content="no-cache">
    <meta name="coverage" content="Worldwide">
    <meta name="distribution" content="Global">
    <meta name="rating" content="General">
    <!-- BASIC OG -->

    <!-- FAVICON -->
    <link rel="apple-touch-icon" sizes="180x180" href="./favicons/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="./favicons/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="./favicons/favicon-16x16.png">
    <link rel="manifest" href="./favicons/site.webmanifest">
    <link rel="mask-icon" href="./favicons/safari-pinned-tab.svg" color="#5bbad5">
    <link rel="shortcut icon" href="./favicons/favicon.ico">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-config" content="./favicons/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <!-- FAVICON -->
    <title>CHAPARRO SALAZAR | <?php the_title(); ?></title>
    <?php wp_head();?>

    <!-- SCRPITS INTERNOS -->
    <script>
        var theme_url = '<?php theme_url(); ?>';
        var blog_url = '<?php blog_url(); ?>';
    </script>

    <!-- SCRPITS EXTERNOS -->
    <div id="fb-root"></div>
    <script>
        (function (d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s);
            js.id = id;
            js.src = 'https://connect.facebook.net/es_LA/sdk.js#xfbml=1&version=v3.1';
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));
    </script>

    <style>
        .terminos_contenido{
            
        }
        .header_terminos{
            background: #ffd800;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .header_terminos .grid-container{
            width: 100%;
        }


h1 {
  font-family: "Kanit", sans-serif;
  font-size: 80px;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.04;
  letter-spacing: normal; }
  @media only screen and (min-width: 1550px) and (max-width: 1919px) {
    h1 {
      font-size: 66px; } }
  @media only screen and (max-width: 767px) {
    h1 {
      font-size: 32px; } }

h2 {
  font-family: "Kanit", sans-serif;
  font-size: 60px;
  font-weight: 900;
  font-style: italic;
  font-stretch: normal;
  line-height: 1.5;
  letter-spacing: normal; }

h3 {
  font-family: "Kanit", sans-serif;
  text-shadow: 0 0 2px rgba(0, 0, 0, 0.48);
  font-size: 30px;
  font-weight: 900;
  font-style: italic;
  font-stretch: normal;
  line-height: 1.17; }
  @media only screen and (max-width: 767px) {
    h3 {
      font-size: 24px; } }

p {
  font-family: "Kanit", sans-serif;
  font-size: 16px;
  font-weight: 500;
  font-style: italic;
  font-stretch: normal;
  line-height: 1.06;
  letter-spacing: normal;
  text-align: left; }

  .contenido_texto{
      padding-top: 2rem;
  }
  
    </style>
</head>
<body <?php body_class();?> class>

<div class="terminos_contenido">
    <div class="header_terminos">
        <div class="grid-container">
            <div class="grid-x">
                <div class="small-6 cell">
                    <a href="<?php blog_url(); ?>">
                        <img src="<?php theme_url(); ?>/assets/images/logo.png" alt="">
                    </a>        
                </div>
                <div class="small-6 cell" style="display: flex; align-items: center; justify-content: flex-end; ">
                    <a href="<?php blog_url(); ?>">
                        <span class="text-bold" style="color: black;">REGRESAR</span>
                    </a>
                </div>
            </div>            
        </div>
    </div>
    <div class="grid-container">
        <div class="grid-x">
            <div class="small-12 cell">
                <div class="contenido_texto">
                    <?php the_post(); the_content(); ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php wp_footer();?>    
</body>
</html>